Description

This patch updates the German locale.

Related issues:

Has duplicate Redmine - Patch #4847: German translations Closed 2010-02-15

Associated revisions

Revision 3470 - 2010-02-21 15:38 - Azamat Hackimov

Translation updates

sv (#4846)

ru (#4861)

de (#4870)

History

#1 - 2010-02-18 17:51 - Thomas Löber

- File de.yml added

Hi!

This week I had the time to make a new version of de.yml suitable for trunk and 0.9-stable.

Changes:

fixed typos, punctuation etc.

changed some terms so they are consistent with the existing terms

changed the default time format to "%d.%m.%Y %H:%M"

regarding the translation from this issue: I already translated it to "Anlegen + nächstes Ticket". I hope this is OK for Lukas!

added the translations from #4847

reordered the lines so they are the same as in en.yml

I'm attaching the complete file because a diff doesn't make sense due to the reordering.

Any suggestions for improvements are welcome!

#2 - 2010-02-18 17:59 - Felix Schäfer

Pitty, I would have liked to see a diff :-) Could you maybe make a diff of the sorted files, so that I can check what changed? Thanks.

#3 - 2010-02-19 13:22 - Thomas Löber

- File de.yml.only-for-demonstration.diff added

Sure. It was a little bit complicated to make a diff which only shows which lines changed (and not which lines have been moved around).

I had to read the old and the new de.yml file and output a sorted YAML version of each one:

#

# http://snippets.dzone.com/posts/show/5811

#

class Hash

  # Replacing the to_yaml function so it'll serialize hashes sorted (by their keys)

  #

  # Original function is in /usr/lib/ruby/1.8/yaml/rubytypes.rb

  def to_yaml( opts = {} )
    YAML::quick_emit( object_id, opts ) do |out|

      out.map( taguri, to_yaml_style ) do |map|

        sort.each do |k, v|   # <-- here's my addition (the 'sort')

          map.add( k, v )

        end

      end

    end

  end

end

puts YAML.load(File.open(ARGV[0])).to_yaml

 Finally these alphabetically sorted files could be diffed. I'm attaching the result as de.yml.only-for-demonstration.diff.

#4 - 2010-02-19 16:11 - Felix Schäfer

Ok, my thought was to use the sort command on your favorite POSIX compliant shell/OS on both files and compare them, that should have done the

trick ^_^

Anyway, the changes look good, +1 :-)

#5 - 2010-02-21 15:40 - Azamat Hackimov

- Due date set to 2010-02-21

- Status changed from New to Closed

- Target version set to 0.9.3

Commited to svn, thank you.

#6 - 2010-02-28 13:37 - Jens Goldhammer

- Status changed from Closed to Reopened

Very good corrections. But I think, we should be aware of the user of hyphens.

In German hyphens are used to avoid misunderstandings or to emphasise unknown word parts in new word creations.

Look at http://www.spiegel.de/kultur/zwiebelfisch/0,1518,274613,00.html for more information.

Grundsätzlich gilt: Ein Bindestrich ist immer dort willkommen, wo es gilt, ein Missverständnis zu vermeiden oder einen Bestandteil

hervorzuheben; er dient also dem Ziel, Klarheit zu schaffen.

 So in my eyes, Ticketstatus is better to read than Ticket-Status.

That is my opinion. What do others think?

#7 - 2010-02-28 16:45 - Jean-Philippe Lang

- Target version deleted (0.9.3)

#8 - 2010-02-28 18:46 - Thomas Löber

Jens Goldhammer wrote:

So in my eyes, Ticketstatus is better to read than Ticket-Status.

That is my opinion. What do others think?

 That fine with me as long as it is consistent throughout the file.

Here is a list of all the hyphenated words in de.yml. Which other terms (besides Ticket-*) should be written as one word?

Administrator-Kennwort

API-Schlüssel

API-Zugriffsschlüssel

Applikations-Titel

Applikations-Untertitel

Atom-Feed

Atom-Zugriffsschlüssel

Authentifizierungs-Arten

Authentifizierungs-Modus

Authentifizierungs-Quelle

Benutzer-Anzeigeformat

Commit-Log-Meldungen
Commit-Zugriff

CSV/PDF-Export

Default-Spalten

Default-Sprache

Diff-Zeilen

E-Mail-Absender

E-Mail-Adresse

E-Mail-Adressen

E-Mail-Attribut

E-Mail-Fußzeile

Gantt-Diagramm

Gravatar-Benutzerbilder

Kategorie-Zuordnung

Konto-Informationen

LDAP-Authentifizierung

Mitgliedsname-Attribut

Name-Attribut

Nicht-Administrator

On-the-fly-Benutzererstellung

OpenID-Anmeldung

OpenID-URL

Plugin-Assets

Projekt-Aktivität

Projektarchiv-Benutzernamen

Projekt-Homepage

Quell-Rolle

Quell-Tracker

Redmine-Benutzer

REST-Schnittstelle

RSS-Zugriffsschlüssel

SMTP-Server

Standard-Gravatar-Bild

Standard-Konfiguration

Standard-Spalten

System-Aktivität

Test-E-Mail

Ticket-Auflistung

Ticket-Beziehungen

Ticket-Feld

Ticket-Fortschritt

Ticket-Kategorie

Ticket-Kategorien

Ticket-Prioritäten

Ticket-Status

Ticket-Verfolgung

Vorname-Attribut

Wiki-Bearbeitung

Wiki-Bearbeitungen

Wiki-Historie

Wiki-Seite

Wiki-Seiten

Wiki-Versionsgeschichte

Ziel-Tracker

#9 - 2010-06-19 23:47 - Felix Schäfer

What's the current status on this?

#10 - 2010-07-24 11:22 - Azamat Hackimov

- Status changed from Reopened to Closed

Files

de.yml.patch 661 Bytes 2010-02-18 Lukas Elmer

de.yml 39.6 KB 2010-02-18 Thomas Löber

de.yml.only-for-demonstration.diff 10.6 KB 2010-02-19 Thomas Löber

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

http://www.tcpdf.org

